package com.ruoyi.interfaces.service;

import com.ruoyi.interfaces.domain.MdModelAcl;

import java.util.List;

/**
 * 模型访问控制Service接口
 * 
 * @author ruoyi
 * @date 2025-07-15
 */
public interface IMdModelAclService 
{
    /**
     * 查询模型访问控制
     * 
     * @param aclid 模型访问控制主键
     * @return 模型访问控制
     */
    public MdModelAcl selectMdModelAclByAclid(String aclid);

    /**
     * 查询模型访问控制列表
     * 
     * @param mdModelAcl 模型访问控制
     * @return 模型访问控制集合
     */
    public List<MdModelAcl> selectMdModelAclList(MdModelAcl mdModelAcl);

    /**
     * 新增模型访问控制
     * 
     * @param mdModelAcl 模型访问控制
     * @return 结果
     */
    public int insertMdModelAcl(MdModelAcl mdModelAcl);

    /**
     * 修改模型访问控制
     * 
     * @param mdModelAcl 模型访问控制
     * @return 结果
     */
    public int updateMdModelAcl(MdModelAcl mdModelAcl);

    /**
     * 批量删除模型访问控制
     * 
     * @param aclids 需要删除的模型访问控制主键集合
     * @return 结果
     */
    public int deleteMdModelAclByAclids(String[] aclids);

    /**
     * 删除模型访问控制信息
     * 
     * @param aclid 模型访问控制主键
     * @return 结果
     */
    public int deleteMdModelAclByAclid(String aclid);
}